<template>
  <div>
    <wujie-vue
      name="wujie3"
      url="http://10.0.32.62:3112/"
      :alive="false"
      :props="params"
    ></wujie-vue>
  </div>
</template>

<script lang="ts">
import { defineComponent, reactive, computed } from 'vue';
import { useRoute } from 'vue-router';
import { getInfo, ICP_CONFIG } from '@/utils/commMethods';

export default defineComponent({
  name: 'Wujie3',
  components: {},
  setup() {
    const commonParams = computed(() => {
      return getInfo(ICP_CONFIG);
    });
    const route = useRoute();
    const params = reactive({
      data: '我是主应用的信息',
      userInfo: commonParams,
    });
    return { params };
  },
});
</script>
